Description: remove failing test to get the build working
 There is one test that fails in the testsuite and it happens because of a bug in the
 dependency prompt-toolkit. Upstream does not have the error though, since it decided to
 lock prompt-toolkit at a version that is not the latest to prevent this issue, and specifically
 mentions it. Debian has the latest version of prompt-toolkit and thus the test is error prone here.
 This patch can be dropped after the error is fixed in prompt-toolkit. I have a bug opened for this
 in prompt-toolkit and there are other bugs referring to same/similar issues. Also refer to
 https://github.com/tmbo/questionary/blob/2df265534f3eb77aafcf70902e53e80beb1793e0/pyproject.toml#L36C38-L36C42
Author: Ananthu C V <weepingclown@disroot.org>
Forwarded: not-needed
Last-Update: 2023-12-15
--- a/tests/prompts/test_common.py
+++ b/tests/prompts/test_common.py
@@ -66,29 +66,6 @@
     assert e.value.message == "invalid input"
 
 
-def test_blank_line_fix():
-    def get_prompt_tokens():
-        return [("class:question", "What is your favourite letter?")]
-
-    ic = InquirerControl(["a", "b", "c"])
-
-    def run(inp):
-        inp.send_text("")
-        layout = common.create_inquirer_layout(
-            ic, get_prompt_tokens, input=inp, output=DummyOutput()
-        )
-
-        # usually this would be 2000000000000000000000000000000
-        # but `common._fix_unecessary_blank_lines` makes sure
-        # the main window is not as greedy (avoiding blank lines)
-        assert (
-            layout.container.preferred_height(100, 200).max
-            == 1000000000000000000000000000001
-        )
-
-    execute_with_input_pipe(run)
-
-
 def test_prompt_highlight_coexist():
     ic = InquirerControl(["a", "b", "c"])
 
